Listar projetos de um grupo
curl --request POST \
--url https://api.olie.ai/api/management/project-groups/{project_group}/projects/index \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [],
"page": 1,
"perPage": 30,
"trashed": false,
"template": false,
"withPercentage": false
}
'import requests
url = "https://api.olie.ai/api/management/project-groups/{project_group}/projects/index"
payload = {
"filters": [],
"page": 1,
"perPage": 30,
"trashed": False,
"template": False,
"withPercentage": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [],
page: 1,
perPage: 30,
trashed: false,
template: false,
withPercentage: false
})
};
fetch('https://api.olie.ai/api/management/project-groups/{project_group}/projects/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 30,
"to": 2,
"total": 2
},
"response": true,
"projects": [
{
"id": "019aeaa3-b2d5-71f6-84c5-322f66c1a406",
"old_id": null,
"code": "P-1",
"name": "Reforma da loja do centro",
"description": "Troca de piso, vitrine e iluminação.",
"impact": 3,
"parent_id": null,
"frame_id": "019aeaa3-2778-73ec-8f8d-59d06cc59dca",
"created_at": "2025-12-04T18:33:08.000000Z",
"updated_at": "2025-12-04T18:33:08.000000Z",
"customer_id": "019aeaa3-afaa-7294-b6f9-c9ab2653c84e",
"contact_id": 12560,
"share_token": null,
"share_settings": null,
"merged_id": null,
"status": 1,
"budget": 15000,
"is_template": false,
"created_by": null,
"deleted_at": null,
"headquarter": {
"id": "019aeaa3-afaa-7294-b6f9-c9ab2653c84e",
"name": "Customer Name Example",
"parent_id": null,
"parent": null
},
"form_answers": [],
"tasks": [],
"customer": {
"id": "019aeaa3-afaa-7294-b6f9-c9ab2653c84e",
"name": "Customer Name Example",
"parent_id": null,
"parent": null
},
"contact": {
"id": 12560,
"name": "Contact Name Example",
"role": "Comprador",
"email": "[email protected]",
"phone": "+5511999998888",
"description": null,
"frame_id": "019aeaa3-2778-73ec-8f8d-59d06cc59dca",
"created_at": "2025-12-04T18:33:07.000000Z",
"updated_at": "2025-12-04T18:33:07.000000Z",
"deleted_at": null,
"customers": []
},
"funnels": [],
"funnel_steps": [],
"tags": [],
"groups": [
{
"id": "019aeaa3-c1f0-72a4-9d3b-6b8f0e5a1c77",
"name": "Campanhas 2026"
}
],
"users": [],
"frame": {
"id": "019aeaa3-2778-73ec-8f8d-59d06cc59dca",
"name": "OlieDev Company",
"subdomain": "devframe",
"model_forms": null
},
"form": null,
"executors": [],
"costs": null
}
]
}{
"response": false,
"message": "validation_errors",
"error": "O campo [campo_inexistente] selecionado é inválido. Campos disponíveis: id, code, name, description, impact, status, budget, funnel_status_at, funnel_forecast_date, funnel_status, funnel_tags, parent, children, customer, contact, assignee, creator, created_at, funnels, funnel_steps, funnel_step_linked_at, completed_percentage, channel_awaiting_reply_since, project_groups, answer_pool, project_step_form_answer_pool, project_funnel_assignments_answer_pool, project_loose_form_answer_pool, name_code.",
"validation": {
"field": [
"O campo [campo_inexistente] selecionado é inválido. Campos disponíveis: id, code, name, description, impact, status, budget, funnel_status_at, funnel_forecast_date, funnel_status, funnel_tags, parent, children, customer, contact, assignee, creator, created_at, funnels, funnel_steps, funnel_step_linked_at, completed_percentage, channel_awaiting_reply_since, project_groups, answer_pool, project_step_form_answer_pool, project_funnel_assignments_answer_pool, project_loose_form_answer_pool, name_code."
]
}
}project-groups
Listar projetos de um grupo
Retorna, de forma paginada, os projetos associados ao grupo, sempre na ordem definida dentro do grupo — este endpoint não aceita ordenação personalizada. Cada projeto vem com as respostas dos formulários dinâmicos já preenchidas.
Os filtros usam o mesmo formato da busca avançada e a resposta segue o padrão de paginação.
POST
/
api
/
management
/
project-groups
/
{project_group}
/
projects
/
index
Listar projetos de um grupo
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) do grupo de projetos.
Body
application/json
Was this page helpful?